package com.qianhe.zqcz.zsrw.mapper;

import com.qianhe.common.annotation.DataScope;
import com.qianhe.zqcz.zsrw.domain.ZqczZsrw;
import com.qianhe.zqcz.zsrw.domain.ZqczZsrwQuery;
import com.qianhe.zqcz.zsrw.domain.ZqczZsrwVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ZqczZsrwMapper {
    /**
     * 分页查询
     */
    @DataScope(deptAlias = "dept")
    List<ZqczZsrwVo> list(ZqczZsrwQuery zqczZsrwQuery);

    /**
     * 查询详情
     */
    ZqczZsrwVo info(Long zsrwid);

    /**
     * 新增
     */
    int add(ZqczZsrw zqczZsrw);

    /**
     * 修改
     */
    int edit(ZqczZsrw zqczZsrw);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 重新修改基层单位总数
     */
    int computeGlqsl(@Param("zsrwid") Long zsrwid, @Param("count") Integer count);
}
